Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::StoredFieldsWriterPerThread Class Reference

`#include <StoredFieldsWriterPerThread.h>`

Inheritance diagram for Lucene::StoredFieldsWriterPerThread:

## Public Member Functions

| StoredFieldsWriterPerThread (const DocStatePtr &docState, const StoredFieldsWriterPtr &storedFieldsWriter)
virtual | ~StoredFieldsWriterPerThread ()
virtual String | getClassName ()
boost::shared_ptr< StoredFieldsWriterPerThread > | shared_from_this ()
void | startDocument ()
void | addField (const FieldablePtr &field, const FieldInfoPtr &fieldInfo)
DocWriterPtr | finishDocument ()
void | abort ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

FieldsWriterPtr | localFieldsWriter
StoredFieldsWriterWeakPtr | _storedFieldsWriter
DocStatePtr | docState
StoredFieldsWriterPerDocPtr | doc

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ StoredFieldsWriterPerThread()

Lucene::StoredFieldsWriterPerThread::StoredFieldsWriterPerThread | ( | const DocStatePtr & | docState,
|  | const StoredFieldsWriterPtr & | storedFieldsWriter )

References docState.

Referenced by _getClassName().

## ◆ ~StoredFieldsWriterPerThread()

virtual Lucene::StoredFieldsWriterPerThread::~StoredFieldsWriterPerThread | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::StoredFieldsWriterPerThread::_getClassName | ( |  | ) |

inline static

References StoredFieldsWriterPerThread().

## ◆ abort()

void Lucene::StoredFieldsWriterPerThread::abort | ( |  | ) |

## ◆ addField()

void Lucene::StoredFieldsWriterPerThread::addField | ( | const FieldablePtr & | field,
|  | const FieldInfoPtr & | fieldInfo )

## ◆ finishDocument()

DocWriterPtr Lucene::StoredFieldsWriterPerThread::finishDocument | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::StoredFieldsWriterPerThread::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< StoredFieldsWriterPerThread > Lucene::StoredFieldsWriterPerThread::shared_from_this | ( |  | ) |

inline

## ◆ startDocument()

void Lucene::StoredFieldsWriterPerThread::startDocument | ( |  | ) |

## Field Documentation

## ◆ _storedFieldsWriter

StoredFieldsWriterWeakPtr Lucene::StoredFieldsWriterPerThread::_storedFieldsWriter

## ◆ doc

StoredFieldsWriterPerDocPtr Lucene::StoredFieldsWriterPerThread::doc

## ◆ docState

DocStatePtr Lucene::StoredFieldsWriterPerThread::docState

Referenced by StoredFieldsWriterPerThread().

## ◆ localFieldsWriter

FieldsWriterPtr Lucene::StoredFieldsWriterPerThread::localFieldsWriter

The documentation for this class was generated from the following file:

- StoredFieldsWriterPerThread.h

clucene.sourceforge.net